## org.exist.cocoon
Class CocoonResponseWrapper

    java.lang.Object
      org.exist.cocoon.CocoonResponseWrapper

All Implemented Interfaces:
  ResponseWrapper

public class CocoonResponseWrapper
extends java.lang.Object
implements ResponseWrapper

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`CocoonResponseWrapper(org.apache.cocoon.environment.Response response)`

Method Summary
`void` `addCookie(org.apache.cocoon.environment.Cookie arg0)`
`void` `addCookie(java.lang.String name, java.lang.String value)`
`void` `addDateHeader(java.lang.String arg0, long arg1)`
`void` `addHeader(java.lang.String arg0, java.lang.String arg1)`
`void` `addIntHeader(java.lang.String arg0, int arg1)`
`boolean` `containsHeader(java.lang.String arg0)`
`org.apache.cocoon.environment.Cookie` `createCookie(java.lang.String arg0, java.lang.String arg1)`
`java.lang.String` `encodeURL(java.lang.String arg0)`
`void` `flushBuffer()` Does nothing!
`java.lang.String` `getCharacterEncoding()`
`long` `getDateHeader(java.lang.String name)`
`java.util.Locale` `getLocale()`
`java.io.OutputStream` `getOutputStream()`
`void` `sendRedirect(java.lang.String arg0)`
`void` `setDateHeader(java.lang.String name, long arg1)`
`void` `setHeader(java.lang.String arg0, java.lang.String arg1)`
`void` `setIntHeader(java.lang.String arg0, int arg1)`
`void` `setLocale(java.util.Locale arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CocoonResponseWrapper

    public CocoonResponseWrapper(org.apache.cocoon.environment.Response response)

Method Detail

### addCookie

    public void addCookie(java.lang.String name,
                          java.lang.String value)

  Specified by:
    `addCookie` in interface `ResponseWrapper`
  Parameters:
    `name` - Name of the Cookie
    `value` - Value of the Cookie

### addCookie

    public void addCookie(org.apache.cocoon.environment.Cookie arg0)

  Parameters:
    `arg0` -

### addDateHeader

    public void addDateHeader(java.lang.String arg0,
                              long arg1)

  Specified by:
    `addDateHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### addHeader

    public void addHeader(java.lang.String arg0,
                          java.lang.String arg1)

  Specified by:
    `addHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### addIntHeader

    public void addIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `addIntHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### containsHeader

    public boolean containsHeader(java.lang.String arg0)

  Specified by:
    `containsHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
  Returns:
    A boolean value indicating whether it contains the header name.

### createCookie

    public org.apache.cocoon.environment.Cookie createCookie(java.lang.String arg0,
                                                             java.lang.String arg1)

  Parameters:
    `arg0` -
    `arg1` -

### encodeURL

    public java.lang.String encodeURL(java.lang.String arg0)

  Specified by:
    `encodeURL` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
  Returns:
    The encoded value

### flushBuffer

    public void flushBuffer()
                     throws java.io.IOException

  Does nothing!

  Specified by:
    `flushBuffer` in interface `ResponseWrapper`
  Throws:
    `java.io.IOException`

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `ResponseWrapper`
  Returns:
    Returns the default character encoding

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `ResponseWrapper`
  Returns:
    Returns the default locale

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long arg1)

  Specified by:
    `setDateHeader` in interface `ResponseWrapper`
  Parameters:
    `name` -
    `arg1` -

### getDateHeader

    public long getDateHeader(java.lang.String name)

  Specified by:
    `getDateHeader` in interface `ResponseWrapper`
  Returns:
    the value of Date Header corresponding to given name, 0 if none has been set.

### setHeader

    public void setHeader(java.lang.String arg0,
                          java.lang.String arg1)

  Specified by:
    `setHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### setIntHeader

    public void setIntHeader(java.lang.String arg0,
                             int arg1)

  Specified by:
    `setIntHeader` in interface `ResponseWrapper`
  Parameters:
    `arg0` -
    `arg1` -

### setLocale

    public void setLocale(java.util.Locale arg0)

  Specified by:
    `setLocale` in interface `ResponseWrapper`
  Parameters:
    `arg0` -

### sendRedirect

    public void sendRedirect(java.lang.String arg0)
                      throws java.io.IOException

  Specified by:
    `sendRedirect` in interface `ResponseWrapper`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `ResponseWrapper`
  Throws:
    `java.io.IOException`

Copyright (C) Wolfgang Meier. All rights reserved.